アカウント認可を付与
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject_id": "<string>",
"capability_key": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"grant_kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "<string>",
"subject_type": "<string>",
"capability_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
Use this file to discover all available pages before exploring further.
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
新しいケイパビリティベース認可を付与するためのスキーマ。
付与の種類
capability, account_owner, super_admin ユーザーまたはグループ識別子
1サブジェクトの種類: ユーザーまたはグループ
user, group, service_account ケイパビリティ付与のケイパビリティキー
スコープ付きリソース識別子
スコープ付きリソースタイプ
client, account, workspace, domain, dns_record, mailbox, redirect, forwarding, credential, tenant, route, proxy このページは役に立ちましたか?
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject_id": "<string>",
"capability_key": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"grant_kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "<string>",
"subject_type": "<string>",
"capability_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}